services:

  gluetun:
    image: qmcgaw/gluetun
    cap_add:
      - NET_ADMIN
    volumes:
      - ./SnowWhite.ovpn:/gluetun/custom.conf:ro
    environment:
      - VPN_SERVICE_PROVIDER=custom
      - VPN_TYPE=openvpn
      - OPENVPN_CUSTOM_CONFIG=gluetun/custom.conf
    ports:
      - 9091:9091
      - 51413:51413
      - 51413:51413/udp

  curl:
    image: curlimages/curl
    network_mode: "service:gluetun"

  transmission:
    image: lscr.io/linuxserver/transmission:latest
    container_name: transmission
    network_mode: "service:gluetun"

    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Europe/London
    volumes:
      - ${PWD}/transmission-config/:/config
      - /media:/media
      - /downloads:/downloads
    restart: always
